// -------------------------------------------------------------------
// Send transaction - transaction overview
// -------------------------------------------------------------------
#view-transactionReview {

  .transaction-overview {
    width: 100%;
    border: 1px solid $border-color;
    padding: 16px 24px;
    color: #111;
    font-weight: 500;
    margin-bottom: 24px;

    @include font-size($s-font-size);
    @include border-radius();
  }

  .transaction-overview > div {
    width: 100%;
    padding: 8px 0;
  }

  .transaction-overview > div > div {
    display: block;
    float: left;
    min-width: 60px;
  }

  .transaction-overview > div > .transaction-overview-leftcolumn {
    width: 40%;
  }

  .transaction-overview > div > .transaction-overview-rightcolumn {
    width: 60%;
  }
  
  .transaction-overview {
    text-align: left;
  }

  .transaction-overview > div::after {
    content: "";
    clear: both;
    display: table;
  }

  .transaction-overview-total-container {
    font-weight: $semi-bold;
    border-top: 1px solid $border-color;
    margin-top: 8px;
    padding-top: 16px !important;

    @include font-size(16);
  }

  #transaction-overview-source,
  #transaction-overview-target,
  #transaction-overview-amount,
  #transaction-overview-fee,
  #transaction-overview-description,
  #transaction-overview-total,
  #transactionReview-pending {
    text-align: right;
    word-break: break-word;
  }

  #transaction-overview-source,
  #transaction-overview-target {
    color: #7A7A7A;
    contact {
      color: #269;
    }
  }

  #transaction-overview-description {
    word-break: normal;
  }

  .errorAddressValidation {
    height: 100%;
    width: 100%;
    margin: 0 auto;
    display: none;
    border-top: 1px solid #ededee;

    div {
      padding: 0 30px;
      flex-grow: 1;

      button {
        margin: 10px 5px;
      }

      p {
        margin-top: 50px;
        word-break: normal;
      }
    }
  }

  #transactionReview-back {
    width: 32%;
    margin-right: 2%;
  }

  #transactionReview-send {
    width: 60%;
  }

  #transactionReview-rawTransaction {
    -webkit-user-select: text;
    -moz-user-select: text;
    -ms-user-select: text;
    user-select: text;
    padding: 19px 10px;
    margin-bottom: 24px;
    background: #ededee;
    color: #13212d;
    letter-spacing: 1px;
    text-align: center;
    font-size: 16px;
    font-size: 1rem;
    -webkit-border-radius: 8px;
    border-radius: 8px;
    background-clip: padding-box;
    word-break: break-all;
    max-height: 120px;
    overflow: auto;
  }

  #transactionReview-showRawTransaction {
    display: block;
    margin-left: 1em;
    margin-right: auto;
    text-align: left;
    color: #68abc6;

    .icon {
      width: 12px;
      height: 12px;
      background-repeat: no-repeat;
      background-size: 100% 100%;
      vertical-align: middle;
      display: inline-block;
      margin: -3px 18px 0 4px;
      background-image: url("./svg/add.svg");

      svg {
        path {
          fill: #68abc6 !important;
        }
      }
    }

    &:hover {
      text-decoration: none;
      filter: brightness(110%);
      cursor: pointer;
    }
  }

  #transactionReview-pendingLabel {
    word-break: break-word !important;
    background-image: url('./svg/pending.svg');
    background-repeat: no-repeat;
    background-size: 20px 20px;
    background-position: right;
    padding-right: 25px;

    svg {
      path {
        path {
          fill: #333 !important;
        }
      }
    }
  }

  td.transactionReview-pending {
    color: white;
    margin-left: 5px;
    padding: 2px 10px;
    margin-top: 5px;
    margin-bottom: 5px;
    border-radius: 5px;
    display: block;
    background-color: darkgray;
    font-size: 75%;
    text-align: center;
  }

  #transactionReview-spinner {
    display: none;
    background: linear-gradient(rgba(255,255,255,0.6),rgba(255,255,255,0.7),rgba(255,255,255,0.5));
    top: 80px;
    width: calc(100% - 48px);
    height: calc(100% - 80px);;
    padding-top: 0;
    text-align: center;
    position: absolute;
    .spinner-loader {
      margin-top: 25vh;
      margin-left: 0;
    }
  }

  #transactionReview-spinner-message {
    margin-top: 24px;
    font-size: 1.2em;
    font-weight: bold;
  }

}
